Subject: Re: [patch 12/12] Configure out ethtool support

From: Roland Dreier <[email-masked]>
Date: Wed, 30 Jul 2008 16:35:12 -0700

> I don't really trust allnoconfig as a way of determining size changes. 
 > It can easily be the case that kernel A's allnoconfig happens to pull
 > in more stuff than kernel B's allnoconfig.
 > 
 > So I do think that one should dive into the details and verify that
 > particular size changes really are due to unavoidable code bloat,
 > rather than being due to some unfortunate Kconfig change.

The following is rather squishy, but... when I've looked at the growth
of various bits of the kernel over time, a good bit of the growth comes
from changes like "add handling for undeniably useful feature X" or "add
handling of error condition Y."  And it's 50 bytes here, 100 bytes
there, and all the changes make sense and are too small to make
configurable.  So being able to get 6K all at once from ethtool is
actually pretty good, although probably not quite good enough to merge.

I really don't know what the right answer is to all of this.